/*
 * ServiceRuntimeException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * サービスから発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ServiceRuntimeException extends CB3RuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 8585964584174144395L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ServiceRuntimeException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ServiceRuntimeException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ServiceRuntimeException(String msg, Exception cause) {
		super(msg, cause);
	}
}
